Skip to main content
PUT
/
api
/
v1
/
school
/
sessions
/
{session_pk}
/
exam-sessions
/
{exam_session_pk}
/
report-cards
/
head-comment-all
Apply head comments to all classes
curl --request PUT \
  --url https://api.example.com/api/v1/school/sessions/{session_pk}/exam-sessions/{exam_session_pk}/report-cards/head-comment-all/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "student": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "exam_session": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "academic_class": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "teacher_comment": "<string>",
  "heads_comment": "<string>",
  "class_position": 1073741823,
  "stream_position": 1073741823,
  "subjects_passed": -1,
  "is_deleted": true,
  "class_total": -1,
  "grade_total": -1
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

exam_session_pk
string<uuid>
required

Exam Session ID

id
string<uuid>
required

Report card UUID

session_pk
string<uuid>
required

Academic session UUID

Body

Auto-populate created_by from request.user when available.

student
string<uuid>
required
exam_session
string<uuid>
required
academic_class
string<uuid>
required
teacher_comment
string | null
Maximum string length: 255
heads_comment
string | null
Maximum string length: 255
class_position
integer | null
Required range: 0 <= x <= 2147483647
stream_position
integer | null
Required range: 0 <= x <= 2147483647
subjects_passed
integer | null
Required range: -2147483648 <= x <= 2147483647
is_deleted
boolean
class_total
integer | null
Required range: -2147483648 <= x <= 2147483647
grade_total
integer | null
Required range: -2147483648 <= x <= 2147483647

Response

{key}
any